SDL_ISPIXELFORMAT_PACKED(3)

NAME
SDL_ISPIXELFORMAT_PACKED - A macro to determine if an SDL_PixelFormat is a packed format.

SYNOPSIS
#include <SDL3/SDL_pixels.h>

#define SDL_ISPIXELFORMAT_PACKED(format) \
    (!SDL_ISPIXELFORMAT_FOURCC(format) && \
     ((SDL_PIXELTYPE(format) == SDL_PIXELTYPE_PACKED8) || \
      (SDL_PIXELTYPE(format) == SDL_PIXELTYPE_PACKED16) || \
      (SDL_PIXELTYPE(format) == SDL_PIXELTYPE_PACKED32)))

DESCRIPTION
Note that this macro double-evaluates its parameter, so do not use expressions with side-effects here.

MACRO PARAMETERS

format
    an SDL_PixelFormat to check.

RETURN VALUE
Returns true if the format is packed, false otherwise.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.